📤Withdrawal

Sequence diagram of the Withdrawal via API integration

Request to create a withdrawal

The section is similar to the Request to create a deposit section. Only the data required to create a withdrawal request will change.

Request to create a withdrawal

post

Withdrawal creation.

When the withdrawal is confirmed, a callback request will be sent to the client's application handler with the Withdrawal webhook body

Authorizations
apikeystringRequired
Query parameters
project_idnumberRequired

Project ID in the A-Pay system

Example: 1234567
Body
amountone ofRequired

Withdrawal amount

Payment systems support different amount formats. integer or number

Example: 10
integer · enumOptional

Currencies that accept integer type

Possible values:
or
number · enumOptional

Currencies that accept number type

Possible values:
currencystring · enumRequired
Payment system currency
CurrencyPayment systemsDecimal places
ARScvu_p2p, mercado_ars_p2p0
BDTapaybdt, bkash_a, bkash_api_v, bkash_b, bkash_p2p, nagad_a, nagad_api_v, nagad_b, tap_p2p, upay, upay_w0
BHDstcpay_p2p3 e.g. 0.001
BOBveripagos_fast, yape_bob_p2p0
BRLpix_p2p0
EGPegp_card, egp_fast, egp_tel0
ETBcbebirr_p2p, etb_fast, etb_p2p0
GNForange_gin_p2p0
INRimps, imps_top, inr_p2c, inr_p2p, paytm, phonepe, phonepe_fast, upi_a, upi_fast, upi_fast_qr, upi_fast_v, upi_fast_vip, upi_link, upi_p2p, upi_push0
JMDlynk_p2p, scotiabank_p2p0
KESmpesa0
KHRababank, wing_l0
LKRipay_fast, ipay_l0
MMKkbzpay_p2p, wavepay_l0
MXNspei_p2p0
NPResewa, esewa_p2p, imepay_l, khalti, khalti_l0
PENyape_pen_p2p0
PKRbankalfalah, easypaisa, jazzcash, jazzcash_l, nayapay_l, pkr_w, pkr_w2, raast_p2p0
PYGbancard_qr, itau_p2p0
TNDd17_l, flouci, flouci_l0
USDbanistmo_p2p, bcgeneral_p2p, yappy_p2p2 e.g. 0.01
UYUbrou_p2p, mercado_uyu_p2c0
XOFmoov_mli_p2p, orange_mli_p2p, orange_sen_p2p, wave_mli_p2p, wave_sen_p2p0
Example: BDTPossible values:
payment_systemstring · enumRequired

Name of the payment system in A-Pay

Example: bkash_bPossible values:
custom_transaction_idstring · max: 200Optional

Transaction ID in the client's system. Must be unique. Optional

Example: custom123
custom_user_idstring · max: 200Required

User ID in the client's system. Must be unique for each user

Example: user123
webhook_idstring · min: 7 · max: 7Optional

Id of a webhook that will be used to send a postback. If not filled then default webhook url will be used. Optional

Example: 42798
dataany ofRequired

Data depending on the specific payment system

or
or
or
or
or
or
or
or
or
or
or
object · cbebirr_p2pOptional

Cbebirr P2P Withdrawal Data

or
or
or
or
or
object · egp_cardOptional

Egp-Card Withdrawal data

or
or
or
or
or
object · esewa_p2pOptional

eSewa P2P Withdrawal Data

or
or
or
or
or
or
or
or
or
or
object · ipay_fastOptional

Ipay Fast Withdrawal data

or
or
object · ipay_lOptional

Ipay L Withdrawal data

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
200

OK

application/json
or
post
/Remotes/create-withdrawal

All the necessary information can be found in our API documentation.

Example of the responses:

Withdrawal information

Withdrawal information

get

order_id or/and custom_transaction_id parameters must be set.

Authorizations
apikeystringRequired
Query parameters
project_idnumberRequired

Project ID in the A-Pay system

Example: 1234567
order_idstring · min: 16 · max: 16Optional

Withdrawal ID in the A-Pay system

Example: 7fa13dbc3b79e05ePattern: ^[0-9a-f]{16}$
custom_transaction_idstring · max: 200Optional

Transaction ID in the client's system

Responses
200

OK

application/json
or
get
/Remotes/withdrawal-info

Examples of the responses:

Last updated